
Name:		VirtualBox-vrdp-ldap
Version:	1.0.1
Release:	jng1
Group:		System/Libraries
Summary:	LDAP backend for VirtualBox VRDP authentication
URL:		http://vrdp-ldap.sf.net/
License:	GPL

#Git-Clone:	git://vrdp-ldap.git.sf.net/gitroot/vrdp-ldap/vrdp-ldap
#Git-Web:	http://vrdp-ldap.git.sf.net/
BuildRoot:	%_tmppath/%name-%version-build
BuildRequires:	libHX-devel >= 2.0, openldap2-devel >= 2.4
BuildRequires:	pam-devel >= 0.99, pkg-config >= 0.19
Source:		vrdp-ldap-%version.tar.bz2

%description

Authors:
--------
	Jan Engelhardt
	Michael Kromer

%prep
%setup -qn vrdp-ldap-%version

%build
%configure --libdir=%_libdir/virtualbox
make %{?_smp_mflags};

%install
b="%buildroot";
rm -Rf "$b";
mkdir "$b";
make install DESTDIR="$b";
mkdir -p "$b/%_sysconfdir";
install -pm0644 doc/vrdp-ldap.conf "$b/%_sysconfdir/";
find "$b" -name "*.la" -delete;

%clean
rm -Rf "%buildroot";

%files
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/*.conf
%dir %_sysconfdir/openldap
%dir %_sysconfdir/openldap/schema
%config %_sysconfdir/openldap/schema/*.schema
%_libdir/virt*
%doc LICENSE.GPL3 doc/README

%changelog
* Sat Sep  4 2010 jengelh@medozas.de
- Change rpm group to soothe rpmlint
- Rename specfile to match package name, VirtualBox-vrdp-ldap
